Patch Assignment Source

patchhttps://statsigapi.net/console/v1/experiments/assignment_source/{name}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

namestringrequired

Name of the assignment source

Body

application/json
namestring

Unique identifier for the assignment source.

descriptionstring

Detailed context and purpose of the assignment source.

isVerifiedboolean

Marks the assignment source as verified for internal trustworthiness.

tagsstring[]

Tags for categorization and search.

sqlunknown

SQL query defining the data source for assignments.

timestampColumnstring

Column name representing the timestamp of assignments.

experimentIDColumnstring

Column name for the experiment ID associated with the assignments.

groupIDColumnstring

Column name for the group ID linked to the assignments.

groupNameColumnstring

Optional column name for the group name linked to the assignments.

idTypeMappingobject[]

Mappings of Statsig units to their respective columns.

Show child attributes
statsigUnitID[]stringrequired

ID for the Statsig unit.

column[]stringrequired

Column name associated with the ID type mapping.

isReadOnlyboolean

Specifies if the source can only be edited via the Console API.

ownerobject

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

Show child attributes
ownerIDstring

ID of the owner

ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

ownerNamestring

The name of the owner. This field is optional.

ownerEmailstring

The email of the owner. This field is optional.

teamstring

Optional field indicating the team name responsible for the metric, aiding in accountability and management.

teamIDstring

Optional field indicating the team ID responsible for the metric, aiding in accountability and management.

scheduledReloadHourinteger

Optional field indicating what UTC hour to run a scheduled scan for the assignment source.

dryRunboolean

Skips persisting the assignment source (used to validate that inputs are correct)

Response

application/json
200Patch Assignment Source response
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
namestringrequired

Unique identifier for the assignment source.

descriptionstringrequired

Detailed context and purpose of the assignment source.

isVerifiedboolean

Marks the assignment source as verified for internal trustworthiness.

tagsstring[]required

Tags for categorization and search.

sqlstringrequired

SQL query defining the data source for assignments.

timestampColumnstringrequired

Column name representing the timestamp of assignments.

experimentIDColumnstringrequired

Column name for the experiment ID associated with the assignments.

groupIDColumnstringrequired

Column name for the group ID linked to the assignments.

groupNameColumnstring

Optional column name for the group name linked to the assignments.

idTypeMappingobject[]required

Mappings of Statsig units to their respective columns.

Show child attributes
statsigUnitID[]stringrequired

ID for the Statsig unit.

column[]stringrequired

Column name associated with the ID type mapping.

isReadOnlyboolean

Specifies if the source can only be edited via the Console API.

ownerobject

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

Show child attributes
ownerIDstring

ID of the owner

ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

ownerNamestring

The name of the owner. This field is optional.

ownerEmailstring

The email of the owner. This field is optional.

teamstring

Optional field indicating the team name responsible for the metric, aiding in accountability and management.

teamIDstring

Optional field indicating the team ID responsible for the metric, aiding in accountability and management.

scheduledReloadHourinteger

Optional field indicating what UTC hour to run a scheduled scan for the assignment source.

400Invalid request. Please check the request input and try again.
statusintegerrequired
messagestringrequired
401This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
messagestringrequired
404Not Found. The requested resource could not be found.
statusintegerrequired
messagestringrequired

Was this helpful?